Add a manual backup to an environment
curl --request POST \
--url https://api.knst.lol/v2/sites/environments/{env_id}/manual-backups \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"tag": "my-awesome-backup"
}
'{
"message": "Adding a manual backup to environment in progress",
"status": 202,
"operation_id": "backups:add-manual-54fb80af-576c-4fdc-ba4f-b596c83f15a1"
}Backups
Add a manual backup to an environment
POST
/
sites
/
environments
/
{env_id}
/
manual-backups
Add a manual backup to an environment
curl --request POST \
--url https://api.knst.lol/v2/sites/environments/{env_id}/manual-backups \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"tag": "my-awesome-backup"
}
'{
"message": "Adding a manual backup to environment in progress",
"status": 202,
"operation_id": "backups:add-manual-54fb80af-576c-4fdc-ba4f-b596c83f15a1"
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Example:
"54fb80af-576c-4fdc-ba4f-b596c83f15a1"
Body
application/json
Example:
"my-awesome-backup"
Restore a scheduled or manual or system generated backup to an environmentRemove a WP site environment backup
⌘I